# BUILD OPTIONS: 1 for yes, 0 for no
%define enable_debug 0
%define enable_optimize 1
%define enable_perl 1
%define enable_jpeg 1

# PLUGIN OPTIONS: 1 for yes, 0 for no
%define enable_abicommand 1
%define enable_aiksaurus 1
%define enable_babelfish 1
%define enable_urldict 1
%define enable_wikipedia 1
%define enable_freetranslation 1
%define enable_festvox 0
%define enable_gdict 1
%define enable_shell 1
%define enable_eg 0
# import/export
%define enable_wordperfect 1
# graphics
%define enable_imagemagick 0
%define enable_gdkpixbuf 1
%define enable_rsvg 1


%if %{enable_debug}
# This makes sure the binaries are UNSTRIPPED!
%define __os_install_post       %{nil}
# This gives extra debuggin and huge binaries
%{expand:%%define optflags %{optflags} %([ ! $DEBUG ] && echo '-g3')}
%endif

%if %{enable_aiksaurus}
%define plugin_aiksaurus --enable-aiksaurus
%else
%define plugin_aiksaurus --disable-aiksaurus
%endif

%if %{enable_gdict}
%define plugin_gdict --enable-gdict
%else
%define plugin_gdict --disable-gdict
%endif

%if %{enable_babelfish}
%define plugin_babelfish --enable-babelfish
%else
%define plugin_babelfish --disable-babelfish
%endif

%if %{enable_urldict}
%define plugin_urldict --enable-urldict
%else
%define plugin_urldict --disable-urldict
%endif

%if %{enable_wikipedia}
%define plugin_wikipedia --enable-wikipedia
%else
%define plugin_wikipedia --disable-wikipedia
%endif

%if %{enable_freetranslation}
%define plugin_freetranslation --enable-freetranslation
%else
%define plugin_freetranslation --disable-freetranslation
%endif

%if %{enable_imagemagick}
%define plugin_imagemagick --enable-magick
%else
%define plugin_imagemagick --disable-magick
%endif

%define plugin_gdkpixbuf --enable-gdkpixbuf

%if %{enable_festvox}
%define plugin_festvox --enable-festvox
%else
%define plugin_festvox --disable-festvox
%endif

%if %{enable_gdict}
%define plugin_gdict --enable-gdict
%else
%define plugin_gdict --disable-gdict
%endif

%if %{enable_shell}
%define plugin_shell --enable-shell
%else
%define plugin_shell --disable-shell
%endif

%if %{enable_eg}
%define plugin_tests --enable-eg
%else
%define plugin_tests --disable-eg
%endif


%define version_flag ABI_BUILD_VERSION=%version
%define Aname	AbiWord-2.0
%define Sname	AbiSuite-2.0
%define iconname abiword.png
%define __libtoolize /bin/true

Name:		abiword
Summary:	Lean and fast full-featured word processor.
Version:	2.0.3
Release:	2mdk
Group:		Office
URL:		http://www.abisource.com/
License:	GPL
Source0:	http://prdownloads.sourceforge.net/abiword/abiword-%{version}.tar.bz2
#Source1:	abiword-plugins-%{version}.tar.bz2
Source6:	abiword-48.png

BuildRoot:	%_tmppath/%name-%version-buildroot
BuildRequires:	ImageMagick
BuildRequires:	ImageMagick-devel
BuildRequires:	bzip2-devel
BuildRequires:	libtool-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libwmf-devel >= 0.2.1
BuildRequires:	enchant-devel
BuildRequires:	texinfo
BuildRequires:	lcms-devel
BuildRequires:	fribidi-devel >= 0.10.4
BuildRequires:	libglade2.0-devel
BuildRequires:	libgal2.0-devel
BuildRequires:	libgnomeui2_0-devel
BuildRequires:	libgnomeprintui-devel
BuildRequires:	libgsf-devel
BuildRequires:	chrpath
Obsoletes:	abisuite
Obsoletes:	abiword2
Provides:	abisuite = %version
Provides:	abiword2

%description
AbiWord is a cross-platform, Open Source Word Processor developed
by the people at AbiSource, Inc. and by developers from around the world.

It is a lean and fast full-featured word processor. It works on Microsoft
Windows and most Unix Systems. Features include:

   * Basic character formatting (bold, underline, italics, etc.)
   * Paragraph alignment
   * Spell-check
   * Import of Word97 and RTF documents
   * Export to RTF, Text, HTML, and LaTeX formats
   * Interactive rulers and tabs
   * Styles
   * Unlimited undo/redo
   * Multiple column control
   * Widow/orphan control
   * Find/Replace
   * Images
   * Tables

Abiword with the GNOME front-end is part of the GNOME Office Suite. 

%if %{enable_abicommand}
%package plugin-abicommand
Summary:	This plugin offers a command line interface to AbiWord.
Group:		Office
Requires:	%{name} = %{version}
BuildRequires:	libtermcap-devel
Obsoletes:	abiword2-plugin-abicommand
Provides:	abiword2-plugin-abicommand

%description plugin-abicommand
This plugin offers a command line interface to AbiWord.
%endif

%if %{enable_perl}
%package perl
Summary:	Perl Bindings Module
Group:		Development/Libraries
Requires:	perl >= 5.005
BuildRequires:	perl >= 5.005
Requires:	%{name} = %{version}

%description perl
Perl Module containing classes for AbiWord Scripting.
%endif

%if %{enable_babelfish}
%package plugin-babelfish
Summary:	Plugin to allow abiword to show babelfish translations.
Group:		Office
Requires:	%{name} = %{version}
Provides:	abiword2-plugin-babelfish
Obsoletes:	abiword2-plugin-babelfish

%description plugin-babelfish
Installing this plugin will allow abiword fetch babelfish translations 
for selected text.
%endif

%if %{enable_urldict}
%package plugin-urldict
Summary:	Plugin to allow abiword to use dict through a web browser
Group:		Office
Requires:	%{name} = %{version}
Provides:	abiword2-plugin-urldict
Obsoletes:	abiword2-plugin-urldict

%description plugin-urldict
Installing this plugin will allow abiword to use dict through a web 
browser on selected text.
%endif 

%if %{enable_festvox}
%package plugin-festvox
Summary:	Plugin for festvox
Group:		Office
Requires:	%{name} = %{version}

%description plugin-festvox
Plugin for festvox
%endif

%if %{enable_gdict}
%package plugin-gdict
Summary:	Plugin to allow abiword to use gdict
Group:		Office
BuildRequires:	gdict
Requires:	%{name} = %{version}
Provides:	abiword2-plugin-gdict
Obsoletes:	abiword2-plugin-gdict

%description plugin-gdict
Plugin to allow abiword to use gdict
%endif

%package plugin-abigimp
Summary:	Enables editing of your images in The GIMP.
Group:		Office
Requires:	%{name} = %{version}
Provides:	abiword2-plugin-abigimp
Obsoletes:	abiword2-plugin-abigimp

%description plugin-abigimp
Installing this plugin will allow AbiWord to transfer images to The GIMP for
editing.

%if %{enable_shell}
%package plugin-shell
Summary:	Enables redirection of shell output into AbiWord.
Group:		Office
Requires:	%{name} = %{version}
Provides:	abiword2-plugin-shell
Obsoletes:	abiword2-plugin-shell

%description plugin-shell
Installing this plugin will allow AbiWord to read output of shell commands.
%endif

%if %{enable_wikipedia}
%package plugin-wikipedia
Summary:	Plugin to allow abiword to connect with WikiPedia.
Group:		Office
Requires:	%{name} = %{version}
Provides:	abiword2-plugin-wikipedia
Obsoletes:	abiword2-plugin-wikipedia

%description plugin-wikipedia
Plugin to allow abiword to connect with WikiPedia.
%endif

%if %{enable_freetranslation}
%package plugin-freetranslation
Summary:	Plugin to allow abiword to connect with freetranslation.
Group:		Office
Requires:	%{name} = %{version}
Provides:	abiword2-plugin-freetranslation
Obsoletes:	abiword2-plugin-freetranslation

%description plugin-freetranslation
Plugin to allow abiword to connect with freetranslation.
%endif

%if %{enable_aiksaurus}
%package plugin-aiksaurus
Summary:	Plugin to allow abiword to connect with AikSaurus.
Group:		Office
BuildRequires:	aiksaurusgtk-devel
Requires:	%{name} = %{version}
Provides:	abiword2-plugin-aiksaurus
Obsoletes:	abiword2-plugin-aiksaurus

%description plugin-aiksaurus
Plugin to allow abiword to connect with AikSaurus.
%endif

%package plugin-ots
Summary:	Plugin to summarize text.
Group:		Office
Requires:	ots
Requires:	%{name} = %{version}
BuildRequires:	ots-devel

%description plugin-ots
Installing this plugin will allow abiword to summarize text with
the help from ots (open text summarizer).

%package plugin-gda
Summary:	Plugin to import from databases.
Group:		Office
Requires:	gda2.0
Requires:	gnome-db2.0
Requires:	%{name} = %{version}
BuildRequires:	gnome-db2.0-devel

%description plugin-gda
Installing this plugin will allow abiword to import from databases through
gda and gnome-db.

%if %{enable_imagemagick}
%package plugin-imagemagick
Summary:	Plugin to allow abiword to use imagemagick.
Group:		Office
Requires:	ImageMagick 
Requires:	%{name} = %{version}

%description plugin-imagemagick
Installing this plugin will allow abiword to use imagemagick.
%endif

%if %{enable_gdkpixbuf} 
%package plugin-gdkpixbuf
Summary:	Plugin to allow abiword to import several image types with gdk-pixbuf
Group:		Office
Requires:	gdk-pixbuf
Requires:	%{name} = %{version}
BuildRequires:	libgdk_pixbuf2.0-devel
Provides:	abiword2-plugin-gdkpixbuf
Obsoletes:	abiword2-plugin-gdkpixbuf

%description plugin-gdkpixbuf
Installing this plugin will allow abiword to import all image types supported 
by gdk-pixbuf.
%endif

%package plugin-graphics
Summary:	Plugins to allow abiword to import images.
Group:		Office
Requires:	%{name} = %{version}
%if %{enable_rsvg}
BuildRequires:	librsvg-devel
%endif
Provides:	abiword2-plugin-graphics
Obsoletes:	abiword2-plugin-graphics

%description plugin-graphics
Installing these plugins will allow abiword to import several image types,
like jpeg, bmp or rsvg.

%package plugin-impexp
Summary:	Plugins to allow abiword to import file types from other wordprocessors.
Group:		Office
Requires:	%{name} = %{version}
%if %{enable_wordperfect}
BuildRequires:	libwpd-devel >= 0.7.0
%endif
Provides:	abiword2-plugin-impexp
Obsoletes:	abiword2-plugin-impexp
Provides:	abiword-plugin-bz2abw, abiword2-plugin-bz2abw
Obsoletes:	abiword-plugin-bz2abw, abiword2-plugin-bz2abw
Provides:	abiword-plugin-html, abiword2-plugin-xhtml
Obsoletes:	abiword-plugin-html, abiword2-plugin-xhtml

%description plugin-impexp
Installing these plugins will allow abiword to import and/or export file
types from other wordprocessors, like OpenOffice/StarOffice(5/6), WordPerfect,
Kword, etc.
This package also provides plugins to import LaTeX, nroff and docbook
documents, as well as the import and export of html/xhtml documents.
Support to import MS Word documents is built into the main package.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}-%{version} 
# -a 1

%build
rm -Rf libpng
cd abi
# TV: let fix buggy build system
#for i in missing mkinstalldirs install-sh;do ln -sf /usr/share/automake/$i ac-helpers/;done
#./autogen.sh|| :
%configure2_5x --enable-gnome 

# mdk 9.2: override CFLAGS to not use -pedantic.
%if %mdkversion == 920
find ./src -name GNUmakefile -exec perl -pi -e 's/-pedantic/ /g' {} \;
%endif

make %{version_flag} ABI_OPT_DEBUG=%{enable_debug} \
    UNIX_CAN_BUILD_STATIC=0 ABI_OPT_LIBJPEG=1 \
    ABI_OPT_PERL=%{enable_perl} \
    ABI_OPT_OPTIMIZE=%{enable_optimize}

cd ../abiword-plugins/
#./nextgen.sh
%configure2_5x --host=%{_target_platform} %{plugin_aiksaurus} \
    %{plugin_gdict} %{plugin_babelfish} %{plugin_urldict} %{plugin_wikipedia} \
    %{plugin_freetranslation} %{plugin_gdkpixbuf} %{plugin_imagemagick} \
    --enable-OpenWriter --enable-bz2abw --enable-xhtml --enable-ots \
    %{plugin_festvox} --enable-abigimp %{plugin_shell} %{plugin_tests} \
    --enable-gda --disable-google --disable-gypsython --disable-referee \
    --disable-applix --disable-clarisworks --disable-eml --disable-hancom \
    --disable-hrtext --disable-iscii-text --disable-mif \
    --disable-nroff --disable-pdb --disable-pw --disable-t602
%make 

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
cd abi

%makeinstall_std

cd ../abiword-plugins
%make install  DESTDIR=$RPM_BUILD_ROOT
cd ../abi

# Icons
mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir},%{_menudir}}
install -m 644 abiword_48.png %{buildroot}%{_liconsdir}/%{iconname}
convert abiword_48.png -geometry 32x32 %{buildroot}%{_iconsdir}/%{iconname}
convert abiword_48.png  -geometry 16x16 %{buildroot}%{_miconsdir}/%{iconname} 

# Menu entry
cat >$RPM_BUILD_ROOT%_menudir/%name <<EOF
?package(%name): command="%_bindir/abiword" section="Office/Wordprocessors" \
icon="%{iconname}" needs="x11" title="AbiWord" \
longtitle="RTF and Microsoft Word (up to 97) document editor"
EOF

# fix rpath
chrpath -d $RPM_BUILD_ROOT%{_bindir}/%{Aname}
chrpath -d $RPM_BUILD_ROOT%{_libdir}/%{Aname}/plugins/*

#remove unpackage files
rm -f $RPM_BUILD_ROOT%{_datadir}/%{Sname}/Nautilus_View_AbiWord.oaf \
 $RPM_BUILD_ROOT%{_datadir}/%{Sname}/nautilus-abiword-content-view-ui.xml \
 $RPM_BUILD_ROOT%{_datadir}/%{Sname}/AbiWord/system.profile \
 $RPM_BUILD_ROOT%{_datadir}/%{Sname}/AbiWord.exe.MANIFEST \
 $RPM_BUILD_ROOT%{_bindir}/ttftool \
 $RPM_BUILD_ROOT%{_bindir}/ttfadmin.sh
rm -rfd $RPM_BUILD_ROOT%{_datadir}/%{Sname}/AbiWord/help/fr-FR

%if %{enable_abicommand}
%else
rm -f $RPM_BUILD_ROOT%{_libdir}/%{Aname}/plugins/libAbiCommand.*
%endif

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc abi/user/wp/readme.txt abi/BiDiReadme.txt abi/COPYING abi/COPYRIGHT.TXT abi/CREDITS.TXT abi/README.TXT abi/abi2po.pl abi/po2abi.pl
%doc abi/docs/*.abw abi/docs/*.txt abi/docs/*.html abi/docs/status/*.xsl abi/docs/status/*.xml
%_bindir/*
%_menudir/%name
%dir %_datadir/%{Sname}
%_datadir/%{Sname}/README
%_datadir/%{Sname}/clipart
%_datadir/%{Sname}/icons
%_datadir/%{Sname}/templates
%_iconsdir/%{iconname}
%_miconsdir/%{iconname}
%_liconsdir/%{iconname}
%_datadir/%{Sname}/AbiWord/readme.txt 
%_datadir/%{Sname}/AbiWord/strings
%_datadir/%{Sname}/AbiWord/scripts
%_datadir/%{Sname}/AbiWord/system.profile-* 
%_datadir/%{Sname}/AbiWord/glade/*
%attr(644,root,root) %_datadir/icons/abiword_48.png
%attr(644,root,root) %_datadir/applications/abiword.desktop
%_datadir/%{Sname}/abi-nautilus-view-file.xml

%if %{enable_abicommand}
%files plugin-abicommand
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiCommand.*
%attr(-,root,root) %{_libdir}/bonobo/servers/GNOME_AbiWord_Control_2_0.server
%endif

%if %{enable_gdict}
%files plugin-gdict
%attr(-,root,root) %_libdir/%{Aname}/plugins/libAbiGdict.*
%endif

%if %{enable_babelfish}
%files plugin-babelfish
%attr(-,root,root) %_libdir/%{Aname}/plugins/libAbiBabelfish.*
%endif

%if %{enable_urldict}
%files plugin-urldict
%attr(-,root,root) %_libdir/%{Aname}/plugins/libAbiURLDict.*
%endif

%if %{enable_wikipedia}
%files plugin-wikipedia
%attr(-,root,root) %_libdir/%{Aname}/plugins/libAbiWikipedia.*
%endif

%if %{enable_freetranslation}
%files plugin-freetranslation
%attr(-,root,root) %_libdir/%{Aname}/plugins/libAbiFreeTranslation.*
%endif

%if %{enable_aiksaurus}
%files plugin-aiksaurus
%attr(-,root,root) %_libdir/%{Aname}/plugins/libAbiAikSaurus.*
%endif

%if %{enable_festvox}
%files plugin-festvox
%attr(-,root,root) %_libdir/%{Aname}/plugins/libAbiFestVox.*
%endif 
 
%files plugin-abigimp
%attr(-,root,root) %_libdir/%{Aname}/plugins/libAbiGimp.*

%if %{enable_shell}
%files plugin-shell
%attr(-,root,root) %_libdir/%{Aname}/plugins/libAbiScriptHappy.*
%endif

%files plugin-ots
%attr(-,root,root) %_libdir/%{Aname}/plugins/libAbiOTS.*
%attr(-,root,root) %_libdir/%{Aname}/plugins/AbiWord/glade/ots.glade

%files plugin-gda
%attr(-,root,root) %_libdir/%{Aname}/plugins/libAbiGDA.*

%if %{enable_imagemagick}
%files plugin-imagemagick  
%attr(-,root,root) %_libdir/%{Aname}/plugins/libAbiMagick.*
%endif

%if %{enable_gdkpixbuf} 
%files plugin-gdkpixbuf
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiGdkPixbuf.*
%endif

%files plugin-graphics
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiJPEG.*
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiBMP.*
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiWMF.*
%if %{enable_rsvg}
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiRSVG.*
%endif

%files plugin-impexp
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiKWord.*
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiXSLFO.*
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiLaTeX.*
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiCoquille.*
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiDocBook.*
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiMSWrite.*
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiSDW.*
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiWML.*
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiXHTML.*
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiBZ2.*
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiOpenWriter.*
%if %{enable_wordperfect}
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiWordPerfect.*
%endif

%post
%{update_menus}

%postun
%{clean_menus}


%changelog
* Sat Jan 31 2004 Marcel Pol <mpol@mandrake.org> 2.0.3-2mdk
- buildrequires

* Thu Jan 22 2004 Marcel Pol <mpol@mandrake.org> 2.0.3-1mdk
- 2.0.3
- from Charles Edwards
    - no need to run autogen.sh and nextgen.sh
    - use Aname, Sname and iconname macro
    - use convert to generate icons
    - don't run libtoolize

* Mon Jan 19 2004 Marcel Pol <mpol@mandrake.org> 2.0.2-1mdk
- 2.0.2
- fix 9.2 backport (don't compile with -pedantic)
- buildrequires
- fix rpath
- use enchant

* Sun Nov 16 2003 Marcel Pol <mpol@gmx.net> 2.0.1-1mdk
- 2.0.1
- add gda plugin
- remove cookerfix for update-alternatives
- compile with -pedantic again

* Wed Sep 17 2003 Marcel Pol <mpol@gmx.net> 2.0.0-1mdk
- 2.0.0

* Thu Sep 04 2003 Marcel Pol <mpol@gmx.net> 1.99.6-1mdk
- 1.99.6
- add ots plugin
- just build openwriter plugin
- buildrequires
- plugin configure needs host option

* Tue Aug 12 2003 Marcel Pol <mpol@gmx.net> 1.99.4-1mdk
- 1.99.4
- remove eml option

* Mon Aug 11 2003 Marcel Pol <mpol@gmx.net> 1.99.3-2mdk
- 1.99.3
- merge changes from abiword2
    - make metapackages:
      * plugin-graphics: jpeg, bmp, rsvg
      * plugin-impexp: kword, wordperfect, etc.
    - disable imagemagick plugin
    - fribidi support hardcoded now
    - fonts are gone, using system fonts. rm ttftool
    - FHS compliant now
    - don't compile unused plugins
    - docs are distributed seperated now, not included anymore
    - plugins require "name = version"
- remove update-alternatives from 1.0.6 and 1.99.3 (cooker only)
- obsolete abiword2
- don't use -pedantic as compile flag for now

* Mon Jun 16 2003 Marcel Pol <mpol@gmx.net> 1.0.6-1mdk
- 1.0.6
- update-alternatives
- version the gnome menu entry
- just enable xml

* Tue Mar 11 2003 Marcel Pol <mpol@gmx.net> 1.0.4-5mdk
- enable aiksaurus
- just build with spellcheck
- formatting

* Wed Feb 26 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.4-4mdk
- rebuild

* Fri Jan 31 2003 Marcel Pol <mpol@gmx.net> 1.0.4-3mdk
- add plugin-abicommand package
- openwriter has buildreq: libgsf-1_1-devel. build breaks though

* Wed Jan 29 2003 Charles A Edwards <eslrahc@bellsouth.net> 1.0.4-2mdk
- enable debug, xml2, and abicommand
- requires xml2

* Thu Jan 23 2003 Marcel Pol <mpol@gmx.net> 1.0.4-1mdk
- 1.0.4
- buildreq: bonobo-devel, liblcms1-devel

* Thu Dec 19 2002 Charles A Edwards <eslrahc@bellsouth.net> 1.0.3-1mdk
- 1.0.3
- convert src tar.gz to tar.bz2 and correct permissions
- disable pspell--too lazy worry with new aspell patch-- diable patch1
- disable abicommand (build fails if enabled)
- enable jpeg
- rm configure.aw--force automake to use configure.in 
- use nexgen.sh to build plgins (fails in AbiCommand if autogen.sh is used)
- enable/add plugins gdict, ImageMagick, GdkPixbuf
- remove unused files from file list

* Wed Nov 13 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-2mdk
- Recompiled against latest gal/aspell
- Patch

* Wed Sep 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-1mdk
- 1.0.2
- update plugins
- regenerate patch
- wrap description

* Fri Jul 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-3mdk
- buildrequires libpspell-devel

* Tue Jun 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-2mdk
- fix abiword-plugins build (autogen.sh)

* Fri Apr 19 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.0-1mdk
- new release
- remove merged upstream patch1
- %%lang help
- remove uneeded Buildrequires
- add plugins
- handle fonts
- disable es/fr/de help that're missing from the tarball
- add manpages

* Tue Apr 09 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.5-1mdk
- new release
- reput american dict

* Fri Mar 22 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.3-1mdk
- clean spec
- abiword is stable again

* Thu Jan 31 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.1-4mdk
- xpm -> png icons

* Sun Jan 27 2002 Stefan van der Eijk <stefan@eijk.nu> 0.99.1-3mdk
- forgot one BuildRequires

* Tue Jan 22 2002 Stefan van der Eijk <stefan@eijk.nu> 0.99.1-2mdk
- BuildRequires

* Fri Jan 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.1-1mdk
- Release 0.99.1
- Add new plugins, thanks to Rui Miguel Seabra
- Add dictionnaries
- Don't build with libxml2, it breaks some translations
- Patch0: give correct configure flags to wv
- Patch1: fix locale detection when modifier are used (like in @euro)

* Tue Dec 11 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.5-1mdk
- Release 0.9.5
- Enable libxml2 and gnome build
- Switch to autoconf based build system
- Clean specfile
- Remove patch0

* Sat Dec  1 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 0.9.4.1-2mdk
- cast pointer to unsigned long not UT_uint32 (fixes 64-bit build)

* Wed Oct 24 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.4.1-1mdk
- new version
- compiled with libpng3

* Tue Oct 16 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.4-1mdk
- new version

* Mon Oct 08 2001 DU Xiaoming <dxiaoming@mandrakesoft.com> 0.9.2-3mdk
- Correted chinese printing PS font name

* Thu Sep 13 2001 Stefan van der Eijk <stefan@eijk.nu> 0.9.2-2mdk
- BuildRequires: libtool --> libtool-devel

* Thu Aug 16 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.2-1mdk
- Release 0.9.2

* Thu Aug  2 2001 Jesse Kuang <kjx@mandrakesoft.com> 0.9.0-2mdk
- fixes fonts.dir for cooker (mdk8.1), works both mdk8.0& cooker

* Wed Aug  1 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.0-1mdk
- changed name back to abiword, new tarball includes everything we need
- changed setup, compilation, paths, and so on.

* Fri Jul 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.0-0.pre20010714.4mdk
- Fix dependency on libpspell

* Sun Jul 15 2001 Stefan van der Eijk <stefan@eijk.nu> 0.9.0-0.pre20010714.3mdk
- BuildRequires: libtool-devel
- Copyright --> License
- Removed BuildRequires:	glib-devel
- Removed BuildRequires:	gtk+-devel
- Removed BuildRequires:	libpng-devel
- Removed BuildRequires:	zlib-devel

* Sun Jul 15 2001 Jesse Kuang <kjx@mandrakesoft.com> 0.9.0-0.pre20010714.2mdk
- add GBK support, fonts/zh_CN.GBK

* Sat Jul 14 2001 Jesse Kuang <kjx@mandrakesoft.com> 0.9.0-0.pre20010714.1mdk
- CVS 20010714 (Sat Jul 14 03:06:05 UTC 2001)
- fixes for fonts.dir.zh-CN and fonts.dir.zh-TW, add fonts.dir.zh-GBK
- fonts.dir for CJK should include four style(normal/Bold/Italic/italic-Bold) for each underline ttf font
- built both on mdk8 and cooker

* Thu Jul 12 2001 DU Xiaoming <dxiaoming@mandrakesoft.com> 0.7.15-0.pre20010612.1mdk
- Latest nightly building from http://www.abisource.com/~sam/nightly/latest/

* Thu Jul 12 2001 Jesse Kuang <kjx@mandrakesoft.com> 0.9.0-0.2mdk
- build from CVS Thu Jul 12 08:07:57 UTC 2001

* Sat Jul 08 2001 Jesse Kuang <kjx@mandrakesoft.com> 0.9.0-0.1mdk
- build from CVS 2001-07-08

* Sat Jun 16 2001 Stefan van der Eijk <stefan@eijk.nu> 0.7.14-9mdk
- BuildRequires: libunicode-devel

* Sat Jun 16 2001 Stefan van der Eijk <stefan@eijk.nu> 0.7.14-8mdk
- BuildRequires: gdk-pixbuf-devel
- remove BuildRequires: popt-devel (Stefan sux)

* Sat Jun 16 2001 Stefan van der Eijk <stefan@eijk.nu> 0.7.14-7mdk
- BuildRequires: popt-devel

* Sat Jun 16 2001 Stefan van der Eijk <stefan@eijk.nu> 0.7.14-6mdk
- BuildRequires: gnome-print-devel

* Sat Jun 16 2001 Stefan van der Eijk <stefan@eijk.nu> 0.7.14-5mdk
- BuildRequires: gnome-libs-devel

* Wed Jun 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.14-4mdk
- Rebuild against latest gal
- correct menu entry

* Mon Jun 11 2001 Jesse Kuang <kjx@mandrakesoft.com> 0.7.14-3mdk
- quick fixes for CJK fonts
- add fonts.dir for Chinese TTF fonts

* Fri Jun  8 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.7.14-2mdk
- recompile for libltdl suxxing

* Mon May 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.14-1mdk
- Use official sources
- Recompiled against latest gal

* Mon May 21 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.7.14-0.3mdk
- rebuild with new libpspell

* Fri Apr  6 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.7.14-0.2mdk
- separated abisuite data directory into 3 entries in the filelist, to add a 
"noreplace" parameter to fonts.dir and fonts.scale (to keep user modifications when upgrading).
(thanks to Ha Duong Minh)

* Thu Apr  5 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.7.14-0.1mdk
- version from gnome 1.4 extra apps; tagged 0.1 until official release.
- added chkfontpath in post and postun + PreReq
- require on libpng
- more docs

* Mon Apr  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.13-3mdk
- Patch6 : include correct headers in libole code
- Correct libxml dependencies

* Thu Mar 15 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.7.13-2mdk
- added compilation options (gnome,libxml,pspell)

* Tue Mar 13 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.7.13-1mdk
- new version

* Thu Jan 04 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.7.11-7mdk
- back to -O3 (for Fcrozat who is doesn't know how to check build flags ;)

* Sat Dec 23 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.7.11-6mdk
- build with -O2 to fix gcc internal error.

* Tue Nov  7 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.11-5mdk
- Rebuild against last libstdc++ and using optimizations
- Patch to build with gcc 2.96
- Use more macros

* Wed Oct  4 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.7.11-4mdk
- Add ABI_BUILD_VERSION so version numbers work (from Tristan Henderson)

* Tue Oct  3 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.7.11-3mdk
- patch to avoid a clash between wv.h provided by abiword/wv module and 
  wmfapi.h (which it tries to include when wmf lib is correctly detected) 

* Tue Oct  3 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.7.11-2mdk
- added build requires on libwmf gtk+-devel glib-devel freetype-devel xpm-devel zlib-devel libpng-devel.

* Mon Sep 18 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.7.11-1mdk
- new version
- updated menus patch
- added toolbars patch

* Thu Sep  7 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.7.10-2mdk
- macroszification
- added liconsdir

* Wed Jul 19 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.10-1mdk
- Update to 0.7.10 (from Helix)
- change menu update
- move doc to standard location
- BM

* Sun May 21 2000 David BAUDENS <baudens@mandrakesoft.com> 0.7.9-1mdk
- Fix descriptions (RPM & menu)

* Tue May  2 2000 Vincent Saugey <vince@mandrakesoft.com> 0.7.9-1mdk
- Update to 0.7.9
- Nothing sucks :)

* Sat Apr 15 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.7.8-7mdk
- fg sucks - menu entry really really added this time :-)
- fixed sources location

* Fri Apr 14 2000 David BAUDENS <baudens@mandrakesoft.com> 0.7.8-6mdk
- Real description

* Tue Apr 11 2000 Francis Galiegue <fg@mandrakesoft.com> 0.7.8-5mdk
- Titi sucks - menu entry really added this time
- Titi sucks - %post and %postun were incorrect
- Titi sucks - there were no icons, now there are
- Removed SMP cruft

* Wed Apr 05 2000 Jerome Martin <jerome@mandrakesoft.com> 0.7.8-4mdk
- Fixing distribution tag

* Thu Mar 30 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.7.8-3mdk
- add menu entry

* Thu Mar 30 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.7.8-2mdk
- clean spec: remove last garbages of file lists
- now compliant to the new naming scheme
- fix /usr/share/abisuite/bin/abiword incorectely linked on
  /var/tmp/abisuite-buildroot/usr/share/abisuite/AbiSuite/bin/AbiWord
  This bug is present at least since 0.7.7-3mdk!!

* Sun Mar 19 2000 John Buswell <johnb@mandrakesoft.com> 0.7.8-1mdk
- 0.7.8
- PPC Support

* Tue Jan 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.7.7-2mdk
- Fix alpha/sparc compilation.

* Thu Jan 13 2000 Saugey Vincent <vince@mandrakesoft.com> 0.7.7-1mdk
- update to 0.7.7

* Thu Oct 21 1999 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.7.6-1mdk
- update to 0.7.6

* Thu Sep 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.7.5-3mdk
- Build for cooker.

* Fri Sep 10 1999 Daouda LO <daouda@mandrakesoft.com> 0.7.5-2mdk
- Mandrake adaptations
- bzipped the sources
- Make the package relocatable

* Sun Sep 05 1999 Vu Hung Quan <binaire@videotron.ca> 0.7.5-1mdk
- update to 0.7.5 ; redhat adaptation

* Sat Jun 26 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- create (more or less) generic spec file...
